/********************
 * Stanford Law Review paper Appendix Table 4a.3
 * State Data
 * Hybrid Model
 * Lott's coding and incarceration rate
 * 1991-1999
 ********************/

clear
set more off
set mem 40m
set mat 800
use "..\FINAL DATASET.dta", clear
log using "AppendixTable4a.3.log", replace
drop if year<91
#delimit ;

replace aftr=0 if yradopt<91 ;

gen ttt1=year-90 if yradopt>90 ;
replace ttt1=0 if ttt1==.;

areg  lvio shalll aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll aftr using AppendixTable4a.3.xls, replace noparen nolabel coefastr se 3aster;

areg  lmur shalll aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll aftr using AppendixTable4a.3.xls, append noparen nolabel coefastr se 3aster;

areg  lrap shalll aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll aftr using AppendixTable4a.3.xls, append noparen nolabel coefastr se 3aster;

areg  laga shalll aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll aftr using AppendixTable4a.3.xls, append noparen nolabel coefastr se 3aster;

areg  lrob shalll aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll aftr using AppendixTable4a.3.xls, append noparen nolabel coefastr se 3aster;

areg  lpro shalll aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll aftr using AppendixTable4a.3.xls, append noparen nolabel coefastr se 3aster;

areg  laut shalll aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll aftr using AppendixTable4a.3.xls, append noparen nolabel coefastr se 3aster;

areg  lbur shalll aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll aftr using AppendixTable4a.3.xls, append noparen nolabel coefastr se 3aster;

areg  llar shalll aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg shalll aftr using AppendixTable4a.3.xls, append noparen nolabel coefastr se 3aster;


log close;


