/****************************
 * Stanford Law Review Appendix Table 5a.2
 * Putting in over 8 years prior to shall passage and 3 years after shall passage dummies
 * Lott Coding, Incarceration Rates
 * Lott-Spline Model
 * 1977-1999
 ****************************/

clear
set more off
set mem 40m
set mat 800
use "R:\Stanford Law Review\FINAL DATASET.dta", clear
log using "AppendixTable5a.2.log", replace
drop if year<77
#delimit ;


gen shalllpre8=0 ;
replace shalllpre8=1 if year<(yradopt-8) & yradopt!=0 & yradopt!=77 ;

gen shalllpost3=0 ;
replace shalllpost3=1 if year>(yradopt+3) & yradopt!=0 & yradopt!=77 ;


gen ttt1=year-76 if yradopt>77 ;
replace ttt1=0 if ttt1==.;

areg  lvio aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable5a.2.xls, replace noparen nolabel coefastr se 3aster;

areg  lmur aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable5a.2.xls, append noparen nolabel coefastr se 3aster;

areg  lrap aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable5a.2.xls, append noparen nolabel coefastr se 3aster;

areg  laga aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable5a.2.xls, append noparen nolabel coefastr se 3aster;

areg  lrob aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable5a.2.xls, append noparen nolabel coefastr se 3aster;

areg  lpro aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable5a.2.xls, append noparen nolabel coefastr se 3aster;

areg  laut aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable5a.2.xls, append noparen nolabel coefastr se 3aster;

areg  lbur aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable5a.2.xls, append noparen nolabel coefastr se 3aster;

areg  llar aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable5a.2.xls, append noparen nolabel coefastr se 3aster;

log close;


