/****************************
 * Stanford Law Review Table 8a.3
 * State Data
 * Putting in over 8 years prior to shall passage and 3 years after shall passage dummies
 * Vernick Coding, Incarceration Rates
 * Hybrid Model
 * 1977-1999
 ****************************/


clear
set more off
set mem 40m
set mat 800
use "R:\Stanford Law Review\FINAL DATASET.dta", clear

log using "Table8a.3.log", replace
drop if year<77
#delimit ;
replace vernick_shall=0 if vernick_shall<77;
replace v_aftr=0 if vernick_shall<77;

gen shalllpre8=0 ;
replace shalllpre8=1 if year<(vernick_shall-8) & vernick_shall!=0 & vernick_shall!=1 ;

gen shalllpost3=0 ;
replace shalllpost3=1 if year>(vernick_shall+3) & vernick_shall!=0 & vernick_shall!=1 ;


gen ttt1=year-76 if vernick_shall>77;
replace ttt1=0 if ttt1==.;

areg  lvio v_shall v_aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table8a.3.xls, replace noparen nolabel coefastr se 3aster;

areg  lmur v_shall v_aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table8a.3.xls, append noparen nolabel coefastr se 3aster;

areg  lrap v_shall v_aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table8a.3.xls, append noparen nolabel coefastr se 3aster;

areg  laga v_shall v_aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table8a.3.xls, append noparen nolabel coefastr se 3aster;

areg  lrob v_shall v_aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table8a.3.xls, append noparen nolabel coefastr se 3aster;

areg  lpro v_shall v_aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table8a.3.xls, append noparen nolabel coefastr se 3aster;

areg  laut v_shall v_aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table8a.3.xls, append noparen nolabel coefastr se 3aster;

areg  lbur v_shall v_aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table8a.3.xls, append noparen nolabel coefastr se 3aster;

areg  llar v_shall v_aftr ttt1 shalllpre8 shalllpost3 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table8a.3.xls, append noparen nolabel coefastr se 3aster;


log close;


