/****************
 * Stanford Law Review Paper Table 11.2
 * County Data
 * Hybrid Model Controlling for State Trends
 * Lott coding
 * 1977-1992 
 ********************/

clear
set mem 160000
set more off
capture log close
log using "Table11.2.log", replace
set matsize 700
use "..\Lott", clear
drop if YEAR>92

#delimit;
gen ttt=YEAR-76;
gen byte AK=state== 2;
gen byte AL=state== 1;
gen byte AZ=state== 4;
gen byte AR=state== 5;
gen byte CA=state== 6;
gen byte CO=state== 8;
gen byte CT=state== 9;
gen byte DC=state== 11;
gen byte DE=state== 10;
gen byte FL=state== 12;
gen byte GA=state== 13;
gen byte HI=state== 15;
gen byte IA=state== 19;
gen byte ID=state== 16;
gen byte IL=state== 17;
gen byte IN=state== 18;
gen byte KS=state== 20;
gen byte KY=state== 21;
gen byte LA=state== 22;
gen byte MA=state== 25;
gen byte MD=state== 24;
gen byte ME=state== 23;
gen byte MI=state== 26;
gen byte MN=state== 27;
gen byte MO=state== 29;
gen byte MS=state== 28;
gen byte MT=state== 30;
gen byte NC=state== 37;
gen byte ND=state== 38;
gen byte NE=state== 31;
gen byte NH=state== 33;
gen byte NJ=state== 34;
gen byte NM=state== 35;
gen byte NV=state== 32;
gen byte NY=state== 36;
gen byte OH=state== 39;
gen byte OK=state== 40;
gen byte OR=state== 41;
gen byte PA=state== 42;
gen byte Phil=COUNTY== 42101;
gen byte RI=state== 44;
gen byte SC=state== 45;
gen byte SD=state== 46;
gen byte TN=state== 47;
gen byte TX=state== 48;
gen byte UT=state== 49;
gen byte VA=state== 51;
gen byte VT=state== 50;
gen byte WA=state== 53;
gen byte WI=state== 55;
gen byte WV=state== 54;
gen byte WY=state== 56;

gen tttAK =ttt*AK;
gen tttAL =ttt*AL;
gen tttAZ =ttt*AZ;
gen tttAR =ttt*AR;
gen tttCA =ttt*CA;
gen tttCO =ttt*CO;
gen tttCT =ttt*CT;
gen tttDC =ttt*DC;
gen tttDE =ttt*DE;
gen tttFL =ttt*FL;
gen tttGA =ttt*GA;
gen tttHI =ttt*HI;
gen tttIA =ttt*IA;
gen tttID =ttt*ID;
gen tttIL =ttt*IL;
gen tttIN =ttt*IN;
gen tttKS =ttt*KS;
gen tttKY =ttt*KY;
gen tttLA =ttt*LA;
gen tttMA =ttt*MA;
gen tttMD =ttt*MD;
gen tttME =ttt*ME;
gen tttMI =ttt*MI;
gen tttMN =ttt*MN;
gen tttMO =ttt*MO;
gen tttMS =ttt*MS;
gen tttMT =ttt*MT;
gen tttNC =ttt*NC;
gen tttND =ttt*ND;
gen tttNE =ttt*NE;
gen tttNH =ttt*NH;
gen tttNJ =ttt*NJ;
gen tttNM =ttt*NM;
gen tttNV =ttt*NV;
gen tttNY =ttt*NY;
gen tttOH =ttt*OH;
gen tttOK =ttt*OK;
gen tttOR =ttt*OR;
gen tttPA =ttt*PA;
gen tttPhil=ttt*Phil;
gen tttRI =ttt*RI;
gen tttSC =ttt*SC;
gen tttSD =ttt*SD;
gen tttTN =ttt*TN;
gen tttTX =ttt*TX;
gen tttUT =ttt*UT;
gen tttVA =ttt*VA;
gen tttVT =ttt*VT;
gen tttWA =ttt*WA;
gen tttWI =ttt*WI;
gen tttWV =ttt*WV;
gen tttWY =ttt*WY;


drop ttt;

areg  lvio shalll aftr ttt* AOVIOICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table11.2.xls, replace noparen nolabel coefastr se 3aster;

areg  lmur shalll aftr ttt* AOMURICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table11.2.xls, append noparen nolabel coefastr se 3aster;

areg  lrap shalll aftr ttt* AORAPICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table11.2.xls, append noparen nolabel coefastr se 3aster;

areg  laga shalll aftr ttt* AOAGAICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table11.2.xls, append noparen nolabel coefastr se 3aster;

areg  lrob shalll aftr ttt* AOROBICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table11.2.xls, append noparen nolabel coefastr se 3aster;

areg  lpro shalll aftr ttt* AOPROICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table11.2.xls, append noparen nolabel coefastr se 3aster;

areg  laut shalll aftr ttt* AOAUTICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table11.2.xls, append noparen nolabel coefastr se 3aster;

areg  lbur shalll aftr ttt* AOBURICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table11.2.xls, append noparen nolabel coefastr se 3aster;

areg  llar shalll aftr ttt* AOLARICP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table11.2.xls, append noparen nolabel coefastr se 3aster;

log close;

