/******************************
 * Stanford Law Review Table 16
 * Estimated Percentage Impact on Crime of the 24 Shall Issue Jurisdictions
 * ****************************/



clear
log using "Table16.log", replace
use "Table16"
*create region dummies*
gen west=region=="w"
gen neast=region=="n"
gen south=region=="s"

gen pop1 = pop/1000000
gen density1 = densitym/1000

*regression 1: Hybrid Model Harm-Weighted Impact
reg hyper density1 pop1 lvio yradopt south west, robust

outreg using Table16-computations.xls, replace noparen nolabel coefastr se 3aster

*regression 2: Hybrid Model Five-Year Murder Impact
reg hymur density1 pop1 lvio yradopt south west, robust

outreg using Table16-computations.xls, append noparen nolabel coefastr se 3aster

*regression 3: Dummy Model Harm-Weighted Impact
reg stper density1 pop1 lvio yradopt south west, robust

outreg using Table16-computations.xls, append noparen nolabel coefastr se 3aster

*regression 4: Dummy Model Murder Impact
reg stmur density1 pop1 lvio yradopt south west, robust

outreg using Table16-computations.xls, append noparen nolabel coefastr se 3aster

log close
